<%
  sections = {
    'index' => 'Essentials',
    'personal' => 'Personal',
    'messaging' => 'Messaging',
    'personality' => 'Personality',
    'appearance' => 'Display',
    'privacy' => 'Privacy',
  }
-%>
<% inside_layout 'application' do -%>
<div id="profile" class="block2col">
	<div class="blockmenu">
		<h2><span>Profile menu</span></h2>
		<div class="box">
			<div class="inbox">
				<ul>
<% for id in %w(index personal messaging personality appearance privacy) -%>
<% name = sections[id] -%>
					<li<%= ' class="isactive"' if controller.action_name == id or controller.action_name.sub(/^update_/,'') == id %>><%= link_to name, :action => id, :id => @user.id %></li>
<% end %>
<% if current_user.can_moderate? -%>
					<li<%= ' class="isactive"' if controller.action_name == 'admin' %>><%= link_to 'Administration', :action => 'admin', :id => @user.id %></li>
<% end -%>
				</ul>
			</div>
		</div>
	</div>

<%= @content_for_layout -%>

	<div class="clearer"></div>
</div>
<% end -%>
